セール店舗更新
PATCH
/bargain/{bargain_id}/stores/{bargain_store_id}
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/bargain/example/stores/example';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"storeId":"123456789"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/bargain/example/stores/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "storeId": "123456789" }'セール店舗情報を更新します。
対象プラン
- スタンダード
- プレミアム
- プレミアムプラス
- フードビジネス
- リテールビジネス
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”bargain_id
required
string
セールID
※ ユーザーアクセストークンを利用する場合、ユーザーの所属する店舗で実施されるセールIDを指定してください。
bargain_store_id
required
string
セール店舗ID
Request Body
Section titled “Request Body”Media typeapplication/json
object
storeId
店舗ID
対象の店舗ID
string format: int
Example
{ "storeId": "123456789"}Responses
Section titled “Responses”取得成功
Media typeapplication/json
object
bargainStoreId
一意なID
string
bargainId
セールID
string
storeId
対象の店舗ID
string
insDateTime
登録時・更新時の日時
string
updDateTime
登録時・更新時の日時
string
Example
{ "bargainStoreId": "string", "bargainId": "string", "storeId": "string", "insDateTime": "string", "updDateTime": "string"}- 指定された店舗が登録済みの場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Examples
Example指定された店舗が登録済みの場合
{ "type": "about:blank", "title": "Bad Request", "detail": "[storeId] bargainStoreId:[171] 指定された店舗は登録済みです", "status": 400}